com.rscja.custom

## Class UHFTemperatureTag

- java.lang.Object
- - com.rscja.team.qcom.deviceapi.BluetoothReader_qcom
  - - com.rscja.team.qcom.deviceapi.RFIDWithUHFBLE_qcom
    - - com.rscja.custom.UHFTemperatureTag

- All Implemented Interfaces:
    IBluetoothReader, IHandheldRFID, IReader, ISingleAntenna, IUHF, IUhfBle, IUhfReader

      public class UHFTemperatureTag
      extends RFIDWithUHFBLE_qcom

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `UHFTemperatureTag.InventoryTemperatureTagCallback`
    `class` | `UHFTemperatureTag.RFIDWithUHFBLEN51`
    `class` | `UHFTemperatureTag.RFIDWithUHFBLEN52`
    `static class` | `UHFTemperatureTag.TemperatureTagInfo`

  - ### Field Summary

    - ### Fields inherited from class com.rscja.team.qcom.deviceapi.BluetoothReader_qcom

      `isBarcodeDataContainCodeID, isBarcodeDataContainSSIID`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IBluetoothReader

      `VERSION_BT_FIRMWARE, VERSION_BT_HARDWARE, VERSION_BT_SOFTWARE`

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IReader

      `UPDATE_STM32`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UHFTemperatureTag` | `getInstance()`
    `boolean` | `inventoryTemperatureTag(int power)`
    `void` | `setInventoryTemperatureTagCallback(UHFTemperatureTag.InventoryTemperatureTagCallback inventoryTemperatureTagCallback)`
    `boolean` | `stopInventory()` 停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程 Stop auto reading, after call this function to exit sub threads of tag data of buffer.

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.RFIDWithUHFBLE_qcom

      `blockWriteData, connect, connect, deleteAllTagToFlash, eraseData, eraseData, factoryReset, generateLockCode, getAllTagTotalFromFlash, getCW, getEPCAndTIDUserMode, getEx10SDKFirmware, getFastID, getFastInventoryMode, getFrequencyMode, getGen2, getNewTagTotalFromFlash, getPower, getProtocol, getReaderAwaitSleepTime, getRFLink, getTagDataFromFlash, getTagfocus, getTagLocate, getTemperature, getVersion, init, inventorySingleTag, inventorySingleTag, isInventorying, isSupportRssi, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, readTagFromBufferList_EpcTidUser, readTagFromBufferList, setConnectionStatusCallback, setCW, setDynamicDistance, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setPower, setProtocol, setReaderAwaitSleepTime, setRFLink, setSupportRssi, setTagFocus, startInventoryTag, startInventoryTag, startLocation, startRadarLocation, stopLocation, stopRadarLocation, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfJump2BootSTM32, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

    - ### Methods inherited from class com.rscja.team.qcom.deviceapi.BluetoothReader_qcom

      `blinkOfLed, closeLed, disconnect, free, getBarcodeDataCodeIdContainType, getBarcodeTypeInSSIID, getBattery, getBeep, getBleHardwareVersion, getBluetoothDeviceAddress, getBluetoothVersion, getConnectStatus, getKeyMode, getParameter, getSTM32Version, getTurnkey, openLed, scanBarcode, scanBarcodeToBytes, sendData, sendDataNotSyn, setBarcodeTypeInSSIID, setBeep, setEnableKeyMode, setEnableTurnkey, setKeyEventCallback, setOnDataChangeListener, setParameter, setRemoteBluetoothName, startScanBarcode, startScanBarcodeInBlinkMode, startScanBarcodeInTriggleMode, startScanBTDevices, stopScanBarcode, stopScanBTDevices, triggerBeep`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `free, getConnectStatus`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IBluetoothReader

      `disconnect, free, getBeep, getBleHardwareVersion, getBluetoothVersion, getConnectStatus, sendData, setOnDataChangeListener, setRemoteBluetoothName, startScanBTDevices, stopScanBarcode, stopScanBTDevices`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IReader

      `blinkOfLed, closeLed, getBarcodeTypeInSSIID, getBattery, getParameter, getSTM32Version, openLed, scanBarcode, scanBarcodeToBytes, setBarcodeTypeInSSIID, setBeep, setKeyEventCallback, setParameter, startScanBarcode, triggerBeep`

- - ### Method Detail

    - #### getInstance

          public static UHFTemperatureTag getInstance()

    - #### stopInventory

          public boolean stopInventory()

      Description copied from interface: `IUHF`
      停止循环识别，在调用此函数之后应当退出循环获取缓冲区的标签信息的子线程
      Stop auto reading, after call this function to exit sub threads of tag data of buffer.
      Specified by:
        `stopInventory` in interface `IUHF`
      Overrides:
        `stopInventory` in class `RFIDWithUHFBLE_qcom`
      Returns:
        true:成功(success) false:失败(failure)

    - #### inventoryTemperatureTag

          public boolean inventoryTemperatureTag(int power)

    - #### setInventoryTemperatureTagCallback

          public void setInventoryTemperatureTagCallback(UHFTemperatureTag.InventoryTemperatureTagCallback inventoryTemperatureTagCallback)